Package: org.grails.buffer

## [Java] Class StreamCharBuffer.AllocatedBufferReader

- org.grails.buffer.StreamCharBuffer.AllocatedBufferReader

-     final class StreamCharBuffer.AllocatedBufferReader
      extends ChunkReader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `StreamCharBuffer.AllocatedBuffer` | `parent` |
    `int` | `position` |
    `boolean` | `removeAfterReading` |
    `int` | `writerUsedCounter` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AllocatedBufferReader (StreamCharBuffer.AllocatedBuffer parent, boolean removeAfterReading)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getReadLenLimit(int askedAmount)`
    `` | `public int` | `getWriterUsedCounter()`
    `` | `public boolean` | `isValid()`
    `` | `public ChunkReader` | `next()`
    `` | `public int` | `read(char[] ch, int off, int len)`

- - ### Field Detail

    - #### StreamCharBuffer.AllocatedBuffer parent

    - #### int position

    - #### boolean removeAfterReading

    - #### int writerUsedCounter

  - ### Constructor Detail

    - #### public AllocatedBufferReader(StreamCharBuffer.AllocatedBuffer parent, boolean removeAfterReading)

  - ### Method Detail

    - #### @java.lang.Override public int getReadLenLimit(int askedAmount)

    - #### @java.lang.Override public int getWriterUsedCounter()

    - #### @java.lang.Override public boolean isValid()

    - #### @java.lang.Override public ChunkReader next()

    - #### @java.lang.Override public int read(char[] ch, int off, int len)